Index: npl/system/libmnl/libmnl.SlackBuild
===================================================================
--- npl/system/libmnl/libmnl.SlackBuild	(revision 1cb5ee67662cf2dcc32a9239bc4bd282acb00bde)
+++ npl/system/libmnl/libmnl.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
@@ -2,6 +2,6 @@
 #
 # Automaticly created by importpackage v1.0
-# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/n/libmnl/
-# Created at Thu Jan 19 22:29:07 CET 2017
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/libmnl/
+# Created at ma 14 jun 2021 10:13:11 CEST
 
 
Index: npl/system/libmnl/libmnl.SlackBuild.orig
===================================================================
--- npl/system/libmnl/libmnl.SlackBuild.orig	(revision 1cb5ee67662cf2dcc32a9239bc4bd282acb00bde)
+++ npl/system/libmnl/libmnl.SlackBuild.orig	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
 
 # Slackware build script for libmnl
 
-# Copyright 2013  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2013, 2018  Patrick J. Volkerding, Sebeka, Minnesota, USA
 # Copyright 2013  Robby Workman, Northport, Alabama, USA
 # All rights reserved.
@@ -24,14 +24,16 @@
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
+cd $(dirname $0) ; CWD=$(pwd)
+
 PKGNAM=libmnl
 VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-5}
 
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
   case "$( uname -m )" in
-    i?86) export ARCH=i486 ;;
+    i?86) export ARCH=i586 ;;
     arm*) export ARCH=arm ;;
     # Unless $ARCH is already set, use uname -m for all other archs:
@@ -40,6 +42,14 @@
 fi
 
-if [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "s390" ]; then
@@ -54,5 +64,4 @@
 fi
 
-CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-$PKGNAM
@@ -69,7 +78,7 @@
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-  -exec chmod 755 {} \; -o \
+  -exec chmod 755 {} \+ -o \
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-  -exec chmod 644 {} \;
+  -exec chmod 644 {} \+
 
 CFLAGS="$SLKCFLAGS" \
@@ -89,4 +98,14 @@
 
 rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+# Move the shared library to $PKG/lib${LIBDIRSUFFIX}:
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+  for file in lib*.so.?.* ; do
+    mv $file ../../lib${LIBDIRSUFFIX}
+    ln -sf ../../lib${LIBDIRSUFFIX}/$file .
+  done
+  cp -a lib*.so.? ../../lib${LIBDIRSUFFIX}
+)
 
 find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
Index: npl/system/libmnl/libmnl.arch
===================================================================
--- npl/system/libmnl/libmnl.arch	(revision 1cb5ee67662cf2dcc32a9239bc4bd282acb00bde)
+++ npl/system/libmnl/libmnl.arch	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/libmnl/libmnl.build
===================================================================
--- npl/system/libmnl/libmnl.build	(revision 1cb5ee67662cf2dcc32a9239bc4bd282acb00bde)
+++ npl/system/libmnl/libmnl.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
@@ -1,1 +1,1 @@
-6130
+1
Index: npl/system/libmnl/libmnl.md5
===================================================================
--- npl/system/libmnl/libmnl.md5	(revision 1cb5ee67662cf2dcc32a9239bc4bd282acb00bde)
+++ npl/system/libmnl/libmnl.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
@@ -1,7 +1,7 @@
 7bbeb8cdb3258793bd937887213cf20e  ./libmnl-1.0.4.tar.xz
-077cc18972b64a44069e3d9162b4c4dd  ./libmnl_dev.pkg
-d4215f63dc264d45da6589f313c8d8d3  ./libmnl.pkg
-9b6983326a218565c0697bda6597e841  ./libmnl.SlackBuild
-d74e5eb29142d155c7845b6dbaa0b2c7  ./libmnl.SlackBuild.log.gz
-85eced3a2d32e12ee7bc8d344a0f9c2a  ./libmnl.SlackBuild.orig
-931c8a9169fa3bd3f0d0cf7881dc5e2c  ./slack-desc
+0e4feb61bacd39542f3acc4ce40c2423  ./libmnl_dev.pkg
+d23e8e230bf579797d46868b60c54c97  ./libmnl.pkg
+7202667646db55bf98e7ac6c15835297  ./libmnl.SlackBuild
+eb3a92dfb701942b95a4523b5d0eae8e  ./libmnl.SlackBuild.log.gz
+00df8bb2b35f0d4f0fb3ad39bef54bdc  ./libmnl.SlackBuild.orig
+b7373248c6cf9d6af5802b2939cc5de0  ./slack-desc
Index: npl/system/libmnl/libmnl_dev.arch
===================================================================
--- npl/system/libmnl/libmnl_dev.arch	(revision 1cb5ee67662cf2dcc32a9239bc4bd282acb00bde)
+++ npl/system/libmnl/libmnl_dev.arch	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/libmnl/libmnl_dev.build
===================================================================
--- npl/system/libmnl/libmnl_dev.build	(revision 1cb5ee67662cf2dcc32a9239bc4bd282acb00bde)
+++ npl/system/libmnl/libmnl_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
@@ -1,1 +1,1 @@
-2
+1
Index: npl/system/libmnl/slack-desc
===================================================================
--- npl/system/libmnl/slack-desc	(revision 1cb5ee67662cf2dcc32a9239bc4bd282acb00bde)
+++ npl/system/libmnl/slack-desc	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
@@ -3,5 +3,5 @@
 # Line up the first '|' above the ':' following the base package name, and
 # the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct.  It's also
+# You must make exactly 11 lines for the formatting to be correct. It's also
 # customary to leave one space after the ':' except on otherwise blank lines.
 
@@ -10,7 +10,7 @@
 libmnl:
 libmnl: libmnl is a minimalistic user-space library oriented to Netlink
-libmnl: developers.  There are a lot of common tasks in parsing, validating,
+libmnl: developers. There are a lot of common tasks in parsing, validating,
 libmnl: constructing of both the Netlink header and TLVs that are repetitive
-libmnl: and easy to get wrong.  This library aims to provide simple helpers
+libmnl: and easy to get wrong. This library aims to provide simple helpers
 libmnl: that allows you to re-use code and to avoid re-inventing the wheel.
 libmnl: