Index: npl/mailserver/kopano_conf/kopano_conf.build
===================================================================
--- npl/mailserver/kopano_conf/kopano_conf.build	(revision d8b519470db51ebd4fc8aeb029f23a7d78ae663f)
+++ npl/mailserver/kopano_conf/kopano_conf.build	(revision 40bade7ed0996693b8a89dc72b8c14e6780557f0)
@@ -1,1 +1,1 @@
-22
+23
Index: npl/mailserver/kopano_conf/kopano_conf.md5
===================================================================
--- npl/mailserver/kopano_conf/kopano_conf.md5	(revision d8b519470db51ebd4fc8aeb029f23a7d78ae663f)
+++ npl/mailserver/kopano_conf/kopano_conf.md5	(revision 40bade7ed0996693b8a89dc72b8c14e6780557f0)
@@ -3,8 +3,8 @@
 fd5fac3dcb59c74d9fc0994316749cf2  ./example-config/apparmor.d/usr.sbin.kopano-server
 ce5eb45e78a986fae32ebbdcbb1b844c  ./example-config/ldap.cfg
-6f33739195a8fca341e4e13ccb3d7460  ./kopano_conf.pkg
+9a6584af40c47dcd20cd98bd7c7e1fdf  ./kopano_conf.pkg
 1f5f7d6f71d47c726d70daff8100c56f  ./kopano_conf.SlackBuild
-2e719e1a62e553eb32fe00047060708f  ./kopano_conf.SlackBuild.log.gz
-ffa5d010487228fccc8dff678e36617e  ./root/etc/apache2/conf.d/kopano.conf
+3f200408cdc054467324f7be1d57ef9b  ./kopano_conf.SlackBuild.log.gz
+8c028c32be066860d48b2f790d1a0e0f  ./root/etc/apache2/conf.d/kopano.conf
 509f4a95bd86ba60c414e0666dd21339  ./root/etc/cron.weekly/kopano_clean
 c649bfb26c88c35ed95fcfec3fe6df9a  ./root/etc/kopano/archiver.cfg
@@ -25,5 +25,5 @@
 aa650880ca710ae913c9d94c909520c5  ./root/etc/kopano/server.cfg
 d6add55726cc61ad5e4ec4a7d7e3f64d  ./root/etc/kopano/spamd.cfg
-8d70ed9bb454b861ea6a18552c41c8b0  ./root/etc/kopano/spooler.cfg
+c8d9edf1081d5f13d03cddca794c041f  ./root/etc/kopano/spooler.cfg
 175d812699725aacf1c9d742dcc1447f  ./root/etc/kopano/unix.cfg
 6ce2e5563699ad17fad55c05b53fe743  ./root/etc/kopano/userscripts/companies_common.sh
@@ -41,5 +41,5 @@
 95056928c5e351a922159f93a8f57d2f  ./root/etc/kopano/zcontacts.inf
 61c38fc2330baa42b357af5c1d7cffe5  ./root/etc/php5/mapi.ini
-2b826222497b3d859d8b20d4ac90db93  ./root/etc/postinst.d/post.kopano_conf
+82fde8d7192feee453bcbc17381195ba  ./root/etc/postinst.d/post.kopano_conf
 cb2078ba94e47f1cde5423615362e097  ./root/service/kopano-dspam/run
 42f02baf49e63eb91c0f7dc979c31dc5  ./root/service/kopano-gateway/run
Index: npl/mailserver/kopano_conf/root/etc/apache2/conf.d/kopano.conf
===================================================================
--- npl/mailserver/kopano_conf/root/etc/apache2/conf.d/kopano.conf	(revision d8b519470db51ebd4fc8aeb029f23a7d78ae663f)
+++ npl/mailserver/kopano_conf/root/etc/apache2/conf.d/kopano.conf	(revision 40bade7ed0996693b8a89dc72b8c14e6780557f0)
@@ -2,2 +2,6 @@
 Redirect /syn3/zarafa /syn3/kopano-webapp
 
+# kopano webapp only supports https
+RewriteEngine On
+RewriteCond %{HTTPS}  !=on
+RewriteRule ^(/syn3/kopano-webapp.*) https://%{SERVER_NAME}$1 [R,L]
Index: npl/mailserver/kopano_conf/root/etc/kopano/spooler.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/spooler.cfg	(revision d8b519470db51ebd4fc8aeb029f23a7d78ae663f)
+++ npl/mailserver/kopano_conf/root/etc/kopano/spooler.cfg	(revision 40bade7ed0996693b8a89dc72b8c14e6780557f0)
@@ -116,7 +116,4 @@
 always_send_tnef = no
 
-# Send all e-mail always using the UTF-8 charset.
-# Normally, the requested charset is used, which can be any charset.
-always_send_utf8 = no
 
 # The us-ascii charset will be upgraded to this charset, to allow more
Index: npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf
===================================================================
--- npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf	(revision d8b519470db51ebd4fc8aeb029f23a7d78ae663f)
+++ npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf	(revision 40bade7ed0996693b8a89dc72b8c14e6780557f0)
@@ -89,7 +89,12 @@
 ln -s /etc/kopano /usr/etc/mapi
 
+# fix is neccesary one time, but may be run always
+kopano-dbadm k-1216  || exit 1
+
 #create public store (first time only)
 svcstart /service/kopano-server || exit 1
 kopano-admin -s
+
+
 
 svcreset /service/kopano-server