Index: npl/system/binutils/binutils.SlackBuild
===================================================================
--- npl/system/binutils/binutils.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/binutils/binutils.SlackBuild	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,220 +1,19 @@
-#!/bin/sh
-
-# Copyright 2005-2013  Patrick J. Volkerding, Sebeka, Minnesota, USA
-# All rights reserved.
+#!/bin/bash
 #
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-#
-#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
-#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Modified 2011 by Eric Hameleers <alien at slackware.com> for ARM port.
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/d/binutils/
+# Created at Tue Jan 31 22:11:28 CET 2017
 
 
-PKGNAM=binutils
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./binutils.SlackBuild.orig
 
-# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
-if [ -z "$ARCH" ]; then
-  case "$MARCH" in
-    i?86)    export ARCH=i486 ;;
-    armv7hl) export ARCH=$MARCH ;;
-    arm*)    export ARCH=arm ;;
-    # Unless $ARCH is already set, use uname -m for all other archs:
-    *)       export ARCH=$MARCH ;;
-  esac
-fi
-
-NUMJOBS=${NUMJOBS:-" -j7 "}
-
-# Uncomment this to include the experimental gold linker:
-GOLD=" --enable-gold=yes --enable-ld=default "
-
-# Set to ld.gold or ld.bfd:
-DEFAULT_LD=ld.bfd
-
-# The --enable-initfini-array option was added in binutils-2.21.51.0.3.
-# This option currently causes a world of hurt trying to compile glibc,
-# and might break static libraries or cause other ill effects.  There
-# is an upstream patch for glibc but it does not avoid all of the known
-# problems (and there may be some unknown ones, too), so we will avoid
-# introducing this feature for now.
-# References:
-# http://sourceware.org/bugzilla/show_bug.cgi?id=12343
-# http://gcc.gnu.org/bugzilla/show_bug.cgi?id=46770
-NO_INITFINI=" --disable-initfini-array "
-
-if [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-  # The config option below is currently needed to compile on x86:
-  WERROR="--enable-werror=no"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
-  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
-  # The config option below is currently needed to compile on x86:
-  WERROR="--enable-werror=no"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
-  SLKCFLAGS="-O2"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fPIC"
-  LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
-  SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
-  LIBDIRSUFFIX=""
-else
-  SLKCFLAGS="-O2"
-  LIBDIRSUFFIX=""
-fi
-
-case "$ARCH" in
-    arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
-    *)    TARGET=$ARCH-slackware-linux ;;
-esac
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-binutils
-
-rm -rf $PKG
-mkdir -p $TMP $PKG
-
-cd $TMP
-rm -rf binutils-$VERSION
-tar xvf $CWD/binutils-$VERSION.tar.xz || \
-  tar xvf $CWD/binutils-$VERSION.tar.bz2 || exit 1
-cd binutils-$VERSION
-
-# Export the demangle.h header file:
-zcat $CWD/binutils.export.demangle.h.diff.gz | patch -p1 --verbose || exit 1
-# Don't check to see if "config.h" was included in the installed headers:
-zcat $CWD/binutils.no-config-h-check.diff.gz | patch -p1 --verbose || exit 1
-
-chown -R root:root .
-find . \
-  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-  -exec chmod 755 {} \; -o \
-  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-  -exec chmod 644 {} \;
-
-# End of preparations
-if echo "$*" | grep -qw -- --prep ; then
-  exit 0
-fi
-
-# Build for an x86 glibc2-based Linux system:
-CFLAGS="$SLKCFLAGS" \
-./configure \
-  --prefix=/usr \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --mandir=/usr/man \
-  --infodir=/usr/info \
-  --with-docdir=/usr/doc/binutils-$VERSION \
-  --enable-shared \
-  --enable-multilib \
-  --enable-64-bit-bfd \
-  --enable-plugins \
-  --enable-threads \
-  --enable-targets=i386-efi-pe,${TARGET},x86_64-slackware-linux \
-  $GOLD \
-  $NO_INITFINI \
-  $WERROR \
-  --build=$TARGET \
-  || exit 1
-
-make clean || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# "make install" skips this, but binutils.spec doesn't.  Sneaky, huh?
-cp -a include/libiberty.h $PKG/usr/include/libiberty.h
-
-# Differentiate between BSD strings and GNU strings
-( cd $PKG/usr/bin ; mv strings strings-GNU )
-( cd $PKG/usr/man/man1 ; mv strings.1 strings-GNU.1 )
-
-# Move ldscripts to /usr/lib${LIBDIRSUFFIX}, and then put symlinks in place
-mv $PKG/usr/${TARGET}/lib/ldscripts $PKG/usr/lib${LIBDIRSUFFIX}
-( cd $PKG/usr/${TARGET}
-  ln -s /usr/lib${LIBDIRSUFFIX}/ldscripts lib/ldscripts
-  for FILE in ar as ld ld.bfd ld.gold nm objcopy objdump ranlib strip ; do
-    if [ -r "/usr/bin/$FILE" ]; then
-      rm -f bin/$FILE
-      ln -s /usr/bin/$FILE bin/$FILE
-    fi
-  done
-)
-
-# If the requested default linker is present, make it the default:
-# Set the link differently on the system to change the default at runtime.
-if [ -r $PKG/usr/bin/$DEFAULT_LD ]; then
-  ( cd $PKG/usr/bin ; rm -f ld ; ln -sf $DEFAULT_LD ld )
-fi
-      
-find $PKG | xargs file | grep -e "executable" -e "shared object" \
-  | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# Remove some unneeded man pages, and then compress the rest
-rm -f $PKG/usr/man/man1/{dlltool,windres}.1
-( cd $PKG/usr/man
-  find . -type f -exec gzip -9 {} \;
-  for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
-
-# Compress info pages
-rm -f $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*
-
-mkdir -p $PKG/usr/doc/binutils-$VERSION
-cp \
-  $CWD/release.binutils-* \
-  COPYING* ChangeLog.linux MAI* README* \
-  $PKG/usr/doc/binutils-$VERSION
-
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
-  DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
-  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
-  touch -r ChangeLog $DOCSDIR/ChangeLog
-fi
-
-chown -R root:root $PKG/usr/doc/binutils-$VERSION
-
-# Add slack-desc:
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd $PKG
-/sbin/makepkg -l y -c n $TMP/binutils-$VERSION-$ARCH-$BUILD.txz
-
-cat << EOF
-
-#############################
-oprofile links to libbfd so
-be sure to recompile that
-#############################
-
-EOF
 
 ############ make syn3 packages
 cd $CWD
 for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/'`
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
         #seperate dev-package