Index: npl/system/coreutils/coreutils-8.26.tar.xz.sig
===================================================================
--- npl/system/coreutils/coreutils-8.26.tar.xz.sig	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/coreutils-8.26.tar.xz.sig	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1
+
+iQIcBAABAgAGBQJYPyRpAAoJEN9v2XEwYDfZ0I4P/3oaPYXMPEOKuDDpEcLumn26
+gYIMQc1jIMbBNQe120gQmNPkRr5dTKt5Bap9qYkCj0pI/6VxVIWDo0xrOLYZi7AN
+Xgr0kX2qLDFEH+EHkC1BpsAdpsgwfvLmVWPHS62CNKgVDgGiP1cRJZe8oVmlBCiR
+3ES7pUsBfDn3hbdKNTTmMDtro1rQMOxfHkVCZLAva+JjdzpE+KTvzZzKkVuZZfJ/
+Mi/ZySrXZXFvPBS7GXgop4x8EodyzQMeKO+nvpIUEBY1yLQgCvni5/CBI8w/EViD
+DSjj0zWsCQkEjx6HCohi8sBHUYZ+M3lB4rkFk7aevdioPZUGfLkW31LT/cUJC/VV
+MIQKWzQtZO/WCJuyEbWP2m25c4MtnnhTm5yoi29yT/CoTRlUWkIQpXm4oD1cJXHy
+PpHveu8qM0qRaAtVdXE3pmapIMYUV4g7vxSuCjZRrgiDLhp/K7Lzt5xBhl++kPU2
+U9uc202eah4Towo0pbHsuEJT0vk0GGLq8/17dCa/ss8wV+86ZLxl0kZYy4CNEnIW
+vsCN6CJ5AoAEVrMN1F7ZJYnH4hoJedvIczThnAkNTqYYE3wnN9stOe28Oy/a0/tg
+bt5/Mn0JbmQei890uU8zcEdUjidHqGV4hKk1E2UC4UCyHG/VcHv9gfr8OaD/xPDr
+SoauDCHpBU7J7FT/DX+k
+=vkKy
+-----END PGP SIGNATURE-----
Index: npl/system/coreutils/coreutils.SlackBuild
===================================================================
--- npl/system/coreutils/coreutils.SlackBuild	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/coreutils.SlackBuild	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/a/coreutils/
+# Created at Tue Feb  7 16:45:04 CET 2017
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./coreutils.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/system/coreutils/coreutils.SlackBuild.orig
===================================================================
--- npl/system/coreutils/coreutils.SlackBuild.orig	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/coreutils.SlackBuild.orig	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,213 @@
+#!/bin/sh
+
+# Copyright 2005-2016  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=coreutils
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j6}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+  SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "armel" ]; then
+  SLKCFLAGS="-O2 -march=armv4t"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+
+rm -rf $PKGNAM-$VERSION
+if [ -r $CWD/$PKGNAM-$VERSION.tar.gz ]; then
+  tar xf $CWD/$PKGNAM-$VERSION.tar.gz || exit 1
+elif [ -r $CWD/$PKGNAM-$VERSION.tar.bz2 ]; then
+  tar xf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
+elif [ -r $CWD/$PKGNAM-$VERSION.tar.xz ]; then
+  tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+elif [ -r $CWD/$PKGNAM-$VERSION.tar.lzma ]; then
+  tar xf $CWD/$PKGNAM-$VERSION.tar.lzma || exit 1
+else
+  exit 1
+fi
+
+cd $PKGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Patch uname to correctly display CPU information:
+zcat $CWD/$PKGNAM.uname.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
+# Revert change to ls quoting style introduced in coreutils-8.25:
+zcat $CWD/no_ls_quoting.patch.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
+# Compilation with glibc version later than 2.3.2 needs the environment
+# variable DEFAULT_POSIX2_VERSION set to 199209.
+# Without that line, the coreutils will start complaining about 'obsolete'
+# command switches, like "tail -20" will be considered obsolete.
+# This behaviour breaks many other packages... the 'obsolete' parameters are
+# too commonly used to disregard them.  Better to stick with the older more
+# widely accepted standards until things begin to demand the new way.
+
+FORCE_UNSAFE_CONFIGURE=1 \
+CFLAGS="$SLKCFLAGS" \
+DEFAULT_POSIX2_VERSION=199209 \
+./configure \
+  --prefix=/usr \
+  --bindir=/bin \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --sysconfdir=/etc \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --without-gmp \
+  --enable-install-program=arch \
+  --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+  | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# We have had the mktemp from debianutils included with Slackware for quite a
+# long time, and certain options are changed here, like changing -u to mean a
+# dry-run rather than to unlink the tempfile when finished.  Since this could
+# break existing scripts, unless someone can tell me a good reason why we
+# should start using a new version of mktemp, we will continue to use the
+# one we've been using.  If the new one starts to become expected, let me know.
+# We'll figure out what the best options are and go from there.
+mv $PKG/bin/mktemp $PKG/bin/mktemp-gnu
+mv $PKG/usr/man/man1/mktemp.1 $PKG/usr/man/man1/mktemp-gnu.1
+
+# This seems wrong, and it stomps on files in the ksh93 package, though I'm
+# not sure the placement of those is correct, either...  The ksh93 package
+# installs them as flat text files, while coreutils installs empty directories
+# Oh well, this is what we've done for years, and nobody's complained...
+rm -rf $PKG/usr/share/locale/*/LC_TIME
+
+# Move "arch" to /bin
+#mv $PKG/usr/bin/arch $PKG/bin
+
+# These are important enough that they should probably all go into /bin at this
+# point...   Having some of them unavailable when /usr isn't mounted is just a
+# source of unending bug reports for various third party applications.
+# Time to end those reports.  :-)
+mkdir -p $PKG/bin $PKG/usr/bin
+( cd $PKG/usr/bin
+  for file in ../../bin/* ; do
+    ln --verbose -sf $file .
+  done
+)
+
+# Add some defaults, although a very slack-like set of default options are built
+# into /bin/ls now anyway:
+mkdir -p $PKG/etc
+zcat $CWD/DIR_COLORS.gz > $PKG/etc/DIR_COLORS.new
+
+# Since dircolors no longer provides any default aliases these scripts
+# will be needed for ls to act as expected:
+mkdir -p $PKG/etc/profile.d
+zcat $CWD/coreutils-dircolors.csh.gz > $PKG/etc/profile.d/coreutils-dircolors.csh
+zcat $CWD/coreutils-dircolors.sh.gz > $PKG/etc/profile.d/coreutils-dircolors.sh
+chmod 755 $PKG/etc/profile.d/*
+
+# Remove things that are provided by other Slackware packages:
+for dupe in hostname kill su uptime ; do
+  rm -f $PKG/bin/${dupe} $PKG/usr/bin/${dupe} \
+    $PKG/usr/sbin/${dupe} $PKG/usr/man/man?/${dupe}.* ;
+done
+
+# Add ginstall links (there's still a lot of stuff that needs this to compile):
+( cd $PKG/bin ; ln -sf install ginstall )
+( cd $PKG/usr/bin ; ln -sf ../../bin/ginstall ginstall )
+( cd $PKG/usr/man/man1 ; ln -sf install.1 ginstall.1 )
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1) ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+  AUTHORS COPYING* NEWS README* THANKS THANKS-to-translators TODO \
+  $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/system/coreutils/coreutils.arch
===================================================================
--- npl/system/coreutils/coreutils.arch	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/coreutils.arch	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/coreutils/coreutils.build
===================================================================
--- npl/system/coreutils/coreutils.build	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/coreutils.build	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,1 @@
+1
Index: npl/system/coreutils/coreutils.md5
===================================================================
--- npl/system/coreutils/coreutils.md5	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/coreutils.md5	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,14 @@
+d5aa2072f662d4118b9f4c63b94601a6  ./coreutils-8.26.tar.xz
+f6ac686f508858d62374d9edb1f8ea88  ./coreutils-8.26.tar.xz.sig
+419b935183bacb0ff3100db65d218473  ./coreutils_dev.pkg
+86dd1cc125f7138297e9a10633bf2d82  ./coreutils-dircolors.csh.gz
+cd092337faf2c8309b48e574db7a5ea5  ./coreutils-dircolors.sh.gz
+2745eb3318d0c8f7e68a311d0847f0db  ./coreutils.pkg
+0db8f0da29429fcd78917ad0b1037ded  ./coreutils.SlackBuild
+19004c7fe88dfb330710b7077c6dd7cb  ./coreutils.SlackBuild.log.gz
+6ad68d8609cd593346cd5b0562485ff1  ./coreutils.SlackBuild.orig
+c152b70ec55f7ab70948043900c27b00  ./coreutils.uname.diff.gz
+a5de102e7876a5d48e865ff8365c4fa8  ./DIR_COLORS.gz
+fabe7ac8614465a69eaa8bea5604bc4f  ./doinst.sh.gz
+dbd225cab4c76b71d9bae2f71c233e32  ./no_ls_quoting.patch.gz
+5127129e23beb0f5101752b91e30e75f  ./slack-desc
Index: npl/system/coreutils/coreutils.version
===================================================================
--- npl/system/coreutils/coreutils.version	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/coreutils.version	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,1 @@
+8.26
Index: npl/system/coreutils/coreutils_dev.arch
===================================================================
--- npl/system/coreutils/coreutils_dev.arch	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/coreutils_dev.arch	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/coreutils/coreutils_dev.build
===================================================================
--- npl/system/coreutils/coreutils_dev.build	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/coreutils_dev.build	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,1 @@
+1
Index: npl/system/coreutils/coreutils_dev.version
===================================================================
--- npl/system/coreutils/coreutils_dev.version	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/coreutils_dev.version	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,1 @@
+8.26
Index: npl/system/coreutils/slack-desc
===================================================================
--- npl/system/coreutils/slack-desc	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
+++ npl/system/coreutils/slack-desc	(revision 55d876df6802f2ce82ec17867c9215ef710b2cbc)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+         |-----handy-ruler------------------------------------------------------|
+coreutils: coreutils (core GNU utilities)
+coreutils:
+coreutils: These are the GNU core utilities, the basic command line programs
+coreutils: such as 'mkdir', 'ls', and 'rm' that are needed for the system to
+coreutils: run.  This package is the union of the GNU fileutils, sh-utils, and
+coreutils: textutils packages.  Most of these programs have significant
+coreutils: advantages over their Unix counterparts, such as greater speed,
+coreutils: additional options, and fewer arbitrary limits.
+coreutils:
+coreutils:
+coreutils: