Index: npl/kernel/initrd/initrd.SlackBuild
===================================================================
--- npl/kernel/initrd/initrd.SlackBuild	(revision 0c256154a9cdfa65d791b0a83f60f3eb42d67011)
+++ npl/kernel/initrd/initrd.SlackBuild	(revision 67ad4865f369eb9643d30a88ace023e06dd23089)
@@ -1,4 +1,3 @@
 #!/bin/bash
-#Zet hier de dingen bij die je gerebuild wilt hebben bij een nieuwe kernel.
 #NOBUILDROOT
 #DEP:busybox
@@ -27,4 +26,6 @@
 #DEP:fping
 #DEP:network_scripts
+#DEP:kmod
+
 
 ##DEP:drv_3w_sas
@@ -39,5 +40,5 @@
 
 CWD=`pwd`
-INITROOT=/tmp/initrd.tmp.$$
+INITROOT=/tmp/initrd.tmp
 
 rm -r $INITROOT &>/dev/null
@@ -76,5 +77,5 @@
 #net WEL omdat we nf_conntrack nodig zijn voor drbd!
 #rm -r $INITROOT/lib/modules/*/kernel/net || exit 1
-rm -r `find $INITROOT/lib/modules/*/kernel/fs/* -type d -not -name '*fat*' -not -name '*cifs*' -not -name '*fscache*'` 
+rm -r `find $INITROOT/lib/modules/*/kernel/fs/* -type d -not -name '*fat*' -not -name '*cifs*' -not -name '*fscache*'`
 #rm -r $INITROOT/lib/modules/*/kernel/drivers/usb/serial || exit 1
 #rm -r $INITROOT/lib/modules/*/kernel/drivers/usb/storage || exit 1
@@ -118,4 +119,8 @@
 installpkg `../../findpkg v86d` || exit 1
 #installpkg `../../findpkg gcc` || exit 1
+#only need S-theme:
+rm -rf $INITROOT/etc/splash/{B,A,H,E,P,V,K,X} || exit 1
+
+
 
 #installpkg `../../findpkg libtermcap` || exit 1
@@ -125,9 +130,11 @@
 
 #de echte modprobe ivm modaliassen
-#installpkg `../../findpkg module_init_tools` || exit 1
-TGZ=`../../findpkg module_init_tools` || exit 1
+TGZ=`../../findpkg kmod` || exit 1
 (
 	cd $INITROOT &&
-	tar -xzf "$TGZ" 'sbin/modprobe'
+	rm sbin/modprobe sbin/depmod &>/dev/null &&
+	tar -xzf "$TGZ" 'sbin/kmod' &&
+	ln -s /sbin/kmod sbin/modprobe &&
+	ln -s /sbin/kmod sbin/depmod
 ) || exit 1
 
@@ -139,5 +146,5 @@
 	mv etc/passwd.new etc/passwd &&
 	mv etc/group.new etc/group &&
-	mv etc/shadow.new etc/shadow 
+	mv etc/shadow.new etc/shadow
 ) || exit 1
 
@@ -163,5 +170,5 @@
 #(
 #	cd $INITROOT
-#	tar -xzf $TGZ usr/bin/eject 
+#	tar -xzf $TGZ usr/bin/eject
 #) || exit 1
 
@@ -173,5 +180,5 @@
 #(
 #	cd $INITROOT
-#	tar -xzf $TGZ usr/sbin/mount.cifs  
+#	tar -xzf $TGZ usr/sbin/mount.cifs
 #) || exit 1
 
@@ -189,29 +196,30 @@
 echo "Version $VERSION"
 
-####################depmod runnen 
+####################depmod runnen
 #hiervoor moeten we ff tijdelijk depmod installen
 
 # workaround for bug or feature in modprobe. modprobe looks in the 'extra' dir first, but busyboxs modprobe doesnt:
-pushd $INITROOT/lib/modules/$VERSION/extra || exit 1
-for EMOD in *; do
-    OMOD=`find $INITROOT/lib/modules/$VERSION -name $EMOD |grep -v extra`
-    if [ "$OMOD" != "" ];then
-        mv $EMOD $OMOD  || exit 1
-    fi
-done
-popd
-
-
-TGZ=`../../findpkg module_init_tools` || exit 1
-(
-	cd $INITROOT &&
-	tar -xzf $TGZ --wildcards '*sbin/depmod*'
-) || exit 1
+# pushd $INITROOT/lib/modules/$VERSION/extra || exit 1
+# for EMOD in *; do
+#     OMOD=`find $INITROOT/lib/modules/$VERSION -name $EMOD |grep -v extra`
+#     if [ "$OMOD" != "" ];then
+#         mv $EMOD $OMOD  || exit 1
+#     fi
+# done
+# popd
+
+
+#edwin: replaced by kmod, uses one binary for all
+# TGZ=`../../findpkg module_init_tools` || exit 1
+# (
+# 	cd $INITROOT &&
+# 	tar -xzf $TGZ --wildcards '*sbin/depmod*'
+# ) || exit 1
 echo "Running depmod..."
 chroot $INITROOT /sbin/depmod -e -a $VERSION  || exit 1
-echo "done"
-
-#depmod kan weer weg
-rm $INITROOT/sbin/depmod* 
+# echo "done"
+#
+# #depmod kan weer weg
+# rm $INITROOT/sbin/depmod*
 
 #####################overbodige zooi eruit strippen
@@ -227,10 +235,12 @@
 rm `find $INITROOT -type f -name *.static` 2>/dev/null
 rm `find $INITROOT -name *.a` 2>/dev/null
-
+rm -r $INITROOT/usr/share/bash-completion
+rm -r $INITROOT/home
+rm -r $INITROOT/usr/src
 
 
 ####################binaries strippen voor als dit nog niet gebeurd is
 echo "stripping binaries"
-pushd $INITROOT 
+pushd $INITROOT
 find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded || exit 1
 find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded || exit 1
@@ -267,5 +277,5 @@
 #SIZE=`du -s $INITROOT|cut -f 1` || exit 1
 
-#echo "Size van alles files: $SIZE" 
+#echo "Size van alles files: $SIZE"
 #(( SIZE+=3000 ))
 #echo "* initrd fixen van $SIZE kbytes."
@@ -316,3 +326,3 @@
 cd $PKG
 /sbin/makepkg -l y -c n $CWD/$NAME.pkg >/dev/null &&
-echo $VERSION > $CWD/$NAME.version 
+echo $VERSION > $CWD/$NAME.version
Index: npl/kernel/initrd/initrd.build
===================================================================
--- npl/kernel/initrd/initrd.build	(revision 0c256154a9cdfa65d791b0a83f60f3eb42d67011)
+++ npl/kernel/initrd/initrd.build	(revision 67ad4865f369eb9643d30a88ace023e06dd23089)
@@ -1,1 +1,1 @@
-6550
+6553
Index: npl/kernel/initrd/initrd.depver
===================================================================
--- npl/kernel/initrd/initrd.depver	(revision 0c256154a9cdfa65d791b0a83f60f3eb42d67011)
+++ npl/kernel/initrd/initrd.depver	(revision 67ad4865f369eb9643d30a88ace023e06dd23089)
@@ -22,2 +22,3 @@
 fping	0
 network_scripts	0
+kmod	0
Index: npl/kernel/initrd/initrd.md5
===================================================================
--- npl/kernel/initrd/initrd.md5	(revision 0c256154a9cdfa65d791b0a83f60f3eb42d67011)
+++ npl/kernel/initrd/initrd.md5	(revision 67ad4865f369eb9643d30a88ace023e06dd23089)
@@ -1,3 +1,3 @@
-3bb357bbbd7a3d4f549a41d318df44f3  ./initrd.pkg
-61a71b8a3ae46871dd2223bd80ad262e  ./initrd.SlackBuild
+05cafa2a87fd8b7408edfc935e40aebb  ./initrd.pkg
+3a4c9fa2a61eb4a5e3a79ca0042e9792  ./initrd.SlackBuild
 3c1ba83b906d1fe77db9175aefe6581c  ./post.initrd