Index: npl/mailserver/amavisd-new/amavisd.build
===================================================================
--- npl/mailserver/amavisd-new/amavisd.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/amavisd-new/amavisd.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6256
Index: npl/mailserver/archivemail/archivemail.build
===================================================================
--- npl/mailserver/archivemail/archivemail.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/archivemail/archivemail.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+2834
Index: npl/mailserver/clamav/clamav.build
===================================================================
--- npl/mailserver/clamav/clamav.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/clamav/clamav.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6526
Index: npl/mailserver/clamav/clamav_dev.build
===================================================================
--- npl/mailserver/clamav/clamav_dev.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/clamav/clamav_dev.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6526
Index: npl/mailserver/clamav_conf/clamav_conf.build
===================================================================
--- npl/mailserver/clamav_conf/clamav_conf.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/clamav_conf/clamav_conf.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+5952
Index: npl/mailserver/cyrus-dspamlearn/cyrus_dspamlearn.build
===================================================================
--- npl/mailserver/cyrus-dspamlearn/cyrus_dspamlearn.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/cyrus-dspamlearn/cyrus_dspamlearn.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+3456
Index: npl/mailserver/cyrus-imapd/cyrus_imapd.build
===================================================================
--- npl/mailserver/cyrus-imapd/cyrus_imapd.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/cyrus-imapd/cyrus_imapd.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+4441
Index: npl/mailserver/cyrus-sasl2/cyrus_sasl.build
===================================================================
--- npl/mailserver/cyrus-sasl2/cyrus_sasl.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/cyrus-sasl2/cyrus_sasl.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6526
Index: npl/mailserver/cyrus-sasl2/cyrus_sasl_dev.build
===================================================================
--- npl/mailserver/cyrus-sasl2/cyrus_sasl_dev.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/cyrus-sasl2/cyrus_sasl_dev.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6526
Index: npl/mailserver/dspam/dspam.build
===================================================================
--- npl/mailserver/dspam/dspam.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/dspam/dspam.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6540
Index: npl/mailserver/dspam/dspam_webui.build
===================================================================
--- npl/mailserver/dspam/dspam_webui.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/dspam/dspam_webui.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6540
Index: npl/mailserver/fetchmail/fetchmail.build
===================================================================
--- npl/mailserver/fetchmail/fetchmail.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/fetchmail/fetchmail.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6526
Index: npl/mailserver/imapsync/imapsync.build
===================================================================
--- npl/mailserver/imapsync/imapsync.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/imapsync/imapsync.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+4577
Index: npl/mailserver/isync/isync.build
===================================================================
--- npl/mailserver/isync/isync.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/isync/isync.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6283
Index: npl/mailserver/netqmail/netqmail.build
===================================================================
--- npl/mailserver/netqmail/netqmail.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/netqmail/netqmail.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6345
Index: npl/mailserver/netqmail2/netqmail2.build
===================================================================
--- npl/mailserver/netqmail2/netqmail2.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/netqmail2/netqmail2.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+5695
Index: npl/mailserver/qfixq/qfixq.build
===================================================================
--- npl/mailserver/qfixq/qfixq.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/qfixq/qfixq.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+5545
Index: npl/mailserver/qmail-notify/qmail_notify.build
===================================================================
--- npl/mailserver/qmail-notify/qmail_notify.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/qmail-notify/qmail_notify.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+1744
Index: npl/mailserver/ripmime/ripmime.build
===================================================================
--- npl/mailserver/ripmime/ripmime.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/ripmime/ripmime.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+5858
Index: npl/mailserver/z_merge_agent/z_merge_agent.build
===================================================================
--- npl/mailserver/z_merge_agent/z_merge_agent.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/z_merge_agent/z_merge_agent.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+5117
Index: npl/mailserver/zarafa7/zarafa7.build
===================================================================
--- npl/mailserver/zarafa7/zarafa7.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/zarafa7/zarafa7.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6526
Index: npl/mailserver/zarafa7/zarafa7_dev.build
===================================================================
--- npl/mailserver/zarafa7/zarafa7_dev.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/zarafa7/zarafa7_dev.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6526
Index: npl/mailserver/zarafa_conf7/zarafa_conf7.build
===================================================================
--- npl/mailserver/zarafa_conf7/zarafa_conf7.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/zarafa_conf7/zarafa_conf7.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6541
Index: npl/mailserver/zarafa_mdm/zarafa_mdm.build
===================================================================
--- npl/mailserver/zarafa_mdm/zarafa_mdm.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/zarafa_mdm/zarafa_mdm.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+5952
Index: npl/mailserver/zarafa_spamd/zarafa_spamd.build
===================================================================
--- npl/mailserver/zarafa_spamd/zarafa_spamd.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/zarafa_spamd/zarafa_spamd.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6553
Index: npl/mailserver/zarafa_webaccess_muc/zarafa_webaccess_muc.build
===================================================================
--- npl/mailserver/zarafa_webaccess_muc/zarafa_webaccess_muc.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/zarafa_webaccess_muc/zarafa_webaccess_muc.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+5944
Index: npl/mailserver/zarafa_webapp/zarafa_webapp.build
===================================================================
--- npl/mailserver/zarafa_webapp/zarafa_webapp.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/zarafa_webapp/zarafa_webapp.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6487
Index: npl/mailserver/zpush/zpush.build
===================================================================
--- npl/mailserver/zpush/zpush.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
+++ npl/mailserver/zpush/zpush.build	(revision 68dd3dbf1d44dd2dde6279fd8a65b35de2d6a35b)
@@ -0,0 +1,1 @@
+6459