Index: npl/system/libmpc/libmpc.SlackBuild
===================================================================
--- npl/system/libmpc/libmpc.SlackBuild	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/libmpc/libmpc.SlackBuild	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -1,115 +1,14 @@
-#!/bin/sh
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/l/libmpc/
+# Created at Tue Jan 31 00:15:39 CET 2017
+#DEP:mpfr
+#DEP:gmp
 
-#DEP:gmp
-#DEP:mpfr
-
-# Copyright 2010, 2011  Patrick J. Volkerding, Sebeka, Minnesota, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-#
-#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
-#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-
-# I really do not like to package source under a different name than upstream,
-# but in this case there is a media player frontend that is well-known as
-# mpc already, and it appears that other projects are packaging this mpc as
-# libmpc instead.  It is probably best to follow suit.
-SRCNAM=mpc
-PKGNAM=libmpc
-VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
-
-# Automatically determine the architecture we're building on:
-if [ -z "$ARCH" ]; then
-  case "$( uname -m )" in
-    i?86) export ARCH=i486 ;;
-    arm*) export ARCH=arm ;;
-    # Unless $ARCH is already set, use uname -m for all other archs:
-       *) export ARCH=$( uname -m ) ;;
-  esac
-fi
-
-NUMJOBS=${NUMJOBS:-" -j7 "}
-
-if [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
-  SLKCFLAGS="-O2"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fPIC"
-  LIBDIRSUFFIX="64"
-else
-  SLKCFLAGS="-O2"
-  LIBDIRSUFFIX=""
-fi
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-$SRCNAM
-rm -rf $PKG
-mkdir -p $TMP $PKG
-
-cd $TMP
-rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
-cd $SRCNAM-$VERSION
-chown -R root:root .
-
-CFLAGS="$SLKCFLAGS" \
-./configure \
-  --prefix=/usr \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --infodir=/usr/info \
-  --docdir=/usr/doc/$PKGNAM-$VERSION \
-  --enable-static=yes \
-  --enable-shared=yes \
-  --build=$ARCH-slackware-linux
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
-  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# Hardly a savings doing this...
-#strip -g $PKG/usr/lib${LIBDIRSUFFIX}/*.a
-
-rm -f $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*
-
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a \
-  AUTHORS COPYING* INSTALL NEWS README* TODO \
-  $PKG/usr/doc/$PKGNAM-$VERSION
-
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
-  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
-  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
-  touch -r ChangeLog $DOCSDIR/ChangeLog
-fi
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-${VERSION}-${ARCH}-${BUILD}.txz
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./libmpc.SlackBuild.orig
 
 
@@ -117,5 +16,5 @@
 cd $CWD
 for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*-//'`
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
         #seperate dev-package
Index: npl/system/libmpc/libmpc.SlackBuild.orig
===================================================================
--- npl/system/libmpc/libmpc.SlackBuild.orig	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
+++ npl/system/libmpc/libmpc.SlackBuild.orig	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Copyright 2010, 2011, 2015  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+# I really do not like to package source under a different name than upstream,
+# but in this case there is a media player frontend that is well-known as
+# mpc already, and it appears that other projects are packaging this mpc as
+# libmpc instead.  It is probably best to follow suit.
+SRCNAM=mpc
+PKGNAM=libmpc
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i486 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$SRCNAM
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+cd $SRCNAM-$VERSION
+chown -R root:root .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --infodir=/usr/info \
+  --docdir=/usr/doc/$PKGNAM-$VERSION \
+  --enable-static=yes \
+  --enable-shared=yes \
+  --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Hardly a savings doing this...
+#strip -g $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+  AUTHORS COPYING* INSTALL NEWS README* TODO \
+  $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-${VERSION}-${ARCH}-${BUILD}.txz
+
Index: npl/system/libmpc/libmpc.depver
===================================================================
--- npl/system/libmpc/libmpc.depver	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/libmpc/libmpc.depver	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -1,2 +1,2 @@
+mpfr	0
 gmp	0
-mpfr	0
Index: npl/system/libmpc/libmpc.md5
===================================================================
--- npl/system/libmpc/libmpc.md5	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/libmpc/libmpc.md5	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -1,6 +1,7 @@
-f6ade98e3f8072dff8681b666bdbef13  ./libmpc.SlackBuild
-403f98c0def39514d988b183d1d17618  ./libmpc.SlackBuild.log.gz
-f25be2b48f36f1b3be00c62a76d7d5cb  ./mpc-0.8.2.tar.xz
-9c38f9706e62e78ca2857060c9464ff0  ./mpc_dev.pkg
-78b980e6daeac6f1a0c737809efb6d57  ./mpc.pkg
+f3a7c89d5261ebf7d2a9af57be58178d  ./libmpc.SlackBuild
+fd5791546cc253f2746778faf1eda437  ./libmpc.SlackBuild.log.gz
+27a3e0eda02994e05de2e7d8881631e3  ./libmpc.SlackBuild.orig
+e28ed77068ef2b88a3aa4ec71e5e2b82  ./mpc-1.0.3.tar.xz
+5577204bc4358c7bdefe9f187f9c5808  ./mpc_dev.pkg
+a39d6ca8f49cae36acd11cc6b117bab1  ./mpc.pkg
 92c54c1101b09c2f940ea786ed570463  ./slack-desc
Index: npl/system/libmpc/mpc.build
===================================================================
--- npl/system/libmpc/mpc.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/libmpc/mpc.build	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -1,1 +1,1 @@
-6130
+2
Index: npl/system/libmpc/mpc.version
===================================================================
--- npl/system/libmpc/mpc.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/libmpc/mpc.version	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -1,1 +1,1 @@
-0.8.2
+1.0.3
Index: npl/system/libmpc/mpc_dev.build
===================================================================
--- npl/system/libmpc/mpc_dev.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/libmpc/mpc_dev.build	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -1,1 +1,1 @@
-6130
+2
Index: npl/system/libmpc/mpc_dev.version
===================================================================
--- npl/system/libmpc/mpc_dev.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/libmpc/mpc_dev.version	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -1,1 +1,1 @@
-0.8.2
+1.0.3