Index: npl/overig/google_perftools/google_perftools.SlackBuild
===================================================================
--- npl/overig/google_perftools/google_perftools.SlackBuild	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/google_perftools/google_perftools.SlackBuild	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -45,7 +45,7 @@
 export CONFIGURE_OPTS=""
 #options for all make commands:
-export MAKE_OPTS="-j1"
+#export MAKE_OPTS="-j1"
 #skip testing:
-#export NOTEST=1
+export NOTEST=1
 #extra optiones for the make install command, use with INSTALL_BASE for example:
 export INSTALL_OPTS=""
Index: npl/overig/google_perftools/google_perftools.build
===================================================================
--- npl/overig/google_perftools/google_perftools.build	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/google_perftools/google_perftools.build	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -1,1 +1,1 @@
-5333
+1
Index: npl/overig/google_perftools/google_perftools.md5
===================================================================
--- npl/overig/google_perftools/google_perftools.md5	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/google_perftools/google_perftools.md5	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -1,8 +1,5 @@
-eaa485163a55f2f64284d27627778a2f  ./google-perftools-1.3.tar.gz
-4389dc00d70471068b187751976937f7  ./google-perftools.SlackBuild.log.gz
-bb800445ba87e593be2fec8f2c2ce43e  ./google-perftools.pkg
-c848578b6eaf971440242db578155cca  ./google-perftools_dev.pkg
-4d4b8e26566988b771b7ce14ddd6a443  ./google_perftools.SlackBuild
-38c12c404840b71684849a1a80f64cc0  ./google_perftools.SlackBuild.log.gz
-d92e3a6d10a97ee32a92b24bd07045c7  ./google_perftools.pkg
-9f2e21c66086f779e0ef7d42dc8cf0c4  ./google_perftools_dev.pkg
+83dc4f257863d52dbfb589ef249944eb  ./google_perftools_dev.pkg
+ac613bd83454481354b7d3ea9da15504  ./google_perftools.pkg
+ea51bec396eb8c378e9bea7e82884408  ./google_perftools.SlackBuild
+f61e509b06dbc259a8c788f5d47905e5  ./google_perftools.SlackBuild.log.gz
+aa1eaf95dbe2c9828d0bd3a00f770f50  ./gperftools-2.5.tar.gz
Index: npl/overig/google_perftools/google_perftools.version
===================================================================
--- npl/overig/google_perftools/google_perftools.version	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/google_perftools/google_perftools.version	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -1,1 +1,1 @@
-1.3
+2.5
Index: npl/overig/google_perftools/google_perftools_dev.build
===================================================================
--- npl/overig/google_perftools/google_perftools_dev.build	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/google_perftools/google_perftools_dev.build	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -1,1 +1,1 @@
-5333
+5335
Index: npl/overig/google_perftools/google_perftools_dev.version
===================================================================
--- npl/overig/google_perftools/google_perftools_dev.version	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/google_perftools/google_perftools_dev.version	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -1,1 +1,1 @@
-1.3
+2.5
Index: npl/overig/gsoap/gsoap.SlackBuild
===================================================================
--- npl/overig/gsoap/gsoap.SlackBuild	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/gsoap/gsoap.SlackBuild	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -17,5 +17,5 @@
 
 #MOET 2.8.22 blijven voor zarafa blijkbaar..
-VER=2.8.22
+VER=2.8.47
 
 #Architecture that the created binaries run on.
Index: npl/overig/gsoap/gsoap.build
===================================================================
--- npl/overig/gsoap/gsoap.build	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/gsoap/gsoap.build	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -1,1 +1,1 @@
-6526
+1
Index: npl/overig/gsoap/gsoap.md5
===================================================================
--- npl/overig/gsoap/gsoap.md5	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/gsoap/gsoap.md5	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -1,6 +1,6 @@
-1f7d7c3a4c8b8d2d55329d176cbb5cde  ./gsoap_2.8.22.zip
-35048c28f3555609dbd2dec37b8692b6  ./gsoap_dev.pkg
-098966dc0aea508dc9f10704c76ba65c  ./gsoap.pkg
-263050c64166592f2ded58aec6dbeb79  ./gsoap.SlackBuild
-5160411aae98f088243ddf9fe1ef6a89  ./gsoap.SlackBuild.log.gz
+414bff2beae2c74edec4c3630902c1b0  ./gsoap_2.8.55.zip
+4d66e0a37abb14b16ec52d592e556649  ./gsoap_dev.pkg
+74810ef5bd898daba65a466d39fc7f04  ./gsoap.pkg
+b74153c4a44989d2305ae9ab13a5c117  ./gsoap.SlackBuild
+14dce05b6b2482514d8ef79ffcbf1337  ./gsoap.SlackBuild.log.gz
 cba45c82235e7cec0e8aa1f9bd6299f6  ./nofastopen.patch
Index: npl/overig/gsoap/gsoap.version
===================================================================
--- npl/overig/gsoap/gsoap.version	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/gsoap/gsoap.version	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -1,1 +1,1 @@
-2.8.22
+2.8.47
Index: npl/overig/gsoap/gsoap_dev.build
===================================================================
--- npl/overig/gsoap/gsoap_dev.build	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/gsoap/gsoap_dev.build	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -1,1 +1,1 @@
-6526
+1
Index: npl/overig/gsoap/gsoap_dev.version
===================================================================
--- npl/overig/gsoap/gsoap_dev.version	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
+++ npl/overig/gsoap/gsoap_dev.version	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
@@ -1,1 +1,1 @@
-2.8.22
+2.8.47